### Method

# Gimp Image reorder_item

#### Declaration [src]

    gboolean
    gimp_image_reorder_item (
      GimpImage* image,
      GimpItem* item,
      GimpItem* parent,
      gint position
    )

#### Description [src]

Reorder the specified item within its item tree

This procedure reorders the specified item within its item tree.

Available since: | 2.8

#### Parameters

`item` | `GimpItem`
| The item to reorder.
| The data is owned by the caller of the function.
`parent` | `GimpItem`
| The new parent item.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`position` | `gint`
| The new position of the item.

#### Return value

Returns: | `gboolean`
| TRUE on success.